import type { Editor } from "codemirror";
import type { DocumentHighlight } from "vscode-languageserver-protocol";
/**
 * Show document highlights in the editor.
 * @param editor
 * @param highlights
 */
export declare const showHighlights: (editor: Editor, highlights: DocumentHighlight[]) => void;
/**
 * Remove document highlights from the editor.
 * @param editor
 */
export declare const removeHighlights: (editor: Editor) => void;
