import type { Editor, Position } from "codemirror";
import type { SignatureHelp } from "vscode-languageserver-protocol";
import { MouseLeaveAllListener } from "../events";
/**
 * Show signature help.
 * @param editor
 * @param mouseLeaveAllListener
 * @param help
 * @param pos - Cursor position.
 * @param renderMarkdown
 */
export declare const showSignatureHelp: (editor: Editor, mouseLeaveAllListener: MouseLeaveAllListener, help: SignatureHelp, pos: Position, renderMarkdown?: (x: string) => string) => void;
export declare const removeSignatureHelp: (editor: Editor) => void;
